SNMPSession (Hyperic HQ Plugin API)
Keywords: org.hyperic.snmp.SNMPSession interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.snmp
Interface SNMPSession

    public interface SNMPSession

Method Summary
`java.util.List` | `getBulk(java.lang.String mibName)`
`java.util.List` | `getColumn(java.lang.String mibName)`
`SNMPValue` | `getNextValue(java.lang.String mibName)`
`SNMPValue` | `getSingleValue(java.lang.String mibName)`
`java.util.Map` | `getTable(java.lang.String mibName, int index)`
`SNMPValue` | `getTableValue(java.lang.String name, int index, java.lang.String leaf)`

Method Detail

### getSingleValue

    SNMPValue getSingleValue(java.lang.String mibName)
                             throws SNMPException

  Throws:
    `SNMPException`

### getNextValue

    SNMPValue getNextValue(java.lang.String mibName)
                           throws SNMPException

  Throws:
    `SNMPException`

### getColumn

    java.util.List getColumn(java.lang.String mibName)
                             throws SNMPException

  Throws:
    `SNMPException`

### getTable

    java.util.Map getTable(java.lang.String mibName,
                           int index)
                           throws SNMPException

  Throws:
    `SNMPException`

### getTableValue

    SNMPValue getTableValue(java.lang.String name,
                            int index,
                            java.lang.String leaf)
                            throws SNMPException

  Throws:
    `SNMPException`

### getBulk

    java.util.List getBulk(java.lang.String mibName)
                           throws SNMPException

  Throws:
    `SNMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.